> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/2.5/api/csharp/yarn.compiler/yarn.compiler.stringinfo.md).

# StringInfo

Struct in [Yarn.Compiler](/2.5/api/csharp/yarn.compiler.md)

Inherits from `System.ValueType`

## Summary

Information about a string. Stored inside a string table, which is produced from the Compiler.

```csharp
public struct StringInfo
```

## Remarks

You do not create instances of this class yourself. They are generated by the [Compiler](/2.5/api/csharp/yarn.compiler/yarn.compiler.compiler.md) .

## Fields

| Name                                                                                                              | Description                                                       |
| ----------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------- |
| [fileName](/2.5/api/csharp/yarn.compiler/yarn.compiler.stringinfo/yarn.compiler.stringinfo.filename.md)           | The name of the file this string was found in.                    |
| [isImplicitTag](/2.5/api/csharp/yarn.compiler/yarn.compiler.stringinfo/yarn.compiler.stringinfo.isimplicittag.md) | Indicates whether this string's line ID was implicitly generated. |
| [lineNumber](/2.5/api/csharp/yarn.compiler/yarn.compiler.stringinfo/yarn.compiler.stringinfo.linenumber.md)       | The line number at which this string was found in the file.       |
| [metadata](/2.5/api/csharp/yarn.compiler/yarn.compiler.stringinfo/yarn.compiler.stringinfo.metadata.md)           | The metadata (i.e. hashtags) associated with this string.         |
| [nodeName](/2.5/api/csharp/yarn.compiler/yarn.compiler.stringinfo/yarn.compiler.stringinfo.nodename.md)           | The name of the node that this string was found in.               |
| [text](/2.5/api/csharp/yarn.compiler/yarn.compiler.stringinfo/yarn.compiler.stringinfo.text.md)                   | The original text of the string.                                  |

## Methods

| Name                                                                                                      | Description |
| --------------------------------------------------------------------------------------------------------- | ----------- |
| [ToString()](/2.5/api/csharp/yarn.compiler/yarn.compiler.stringinfo/yarn.compiler.stringinfo.tostring.md) |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.5/api/csharp/yarn.compiler/yarn.compiler.stringinfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
